unit DataModuleUnit;

interface

uses
  SysUtils, Classes, DB, ADODB;

type
  TDataModule1 = class(TDataModule)
    ADOConnection1: TADOConnection;
    DataSource1: TDataSource;
    ADOTable1: TADOTable;
    ADOTable1Key1: TAutoIncField;
    ADOTable1DSDesigner: TWideStringField;
    ADOTable1DSDesigner2: TIntegerField;
    ADOTable1DSDesigner3: TIntegerField;
    ADOTable1Sum: TIntegerField;
    ADOTable1Color: TWideStringField;
    procedure ADOTable1CalcFields(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataModule1: TDataModule1;

implementation

{$R *.dfm}

procedure TDataModule1.ADOTable1CalcFields(DataSet: TDataSet);
begin
 ADOTable1Sum.Value:=ADOTable1DSDesigner2.AsInteger*ADOTable1DSDesigner3.AsInteger;
end;

end.
